{
  "name": "spevnik_be",
  "version": "1.0.0",
  "description": "Spevnik ludovych piesni",
  "main": "index.js",
  "scripts": {
    "tsc": "tsc",
    "postinstall": "npm run tsc",
    "start": "tsc && node dist/server.js",
    "test": "mocha --exit --reporter spec --require ts-node/register tests/**/*.test.ts",
    "dev-database": "cd src/database &&cross-env NODE_ENV=development &&knex migrate:rollback &&knex migrate:latest &&knex seed:run",
    "create-database": "cd src/database/sql && psql -U postgres -h localhost -a -f devDat.sql"
  },
  "engines": {
    "node": "8.9.4",
    "npm": "5.6.x"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/patrik.fasang/spevnik_be.git"
  },
  "author": "",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/patrik.fasang/spevnik_be/issues"
  },
  "homepage": "https://gitlab.com/patrik.fasang/spevnik_be",
  "dependencies": {
    "bcrypt": "^2.0.1",
    "bluebird": "^3.5.1",
    "bookshelf": "^0.12.1",
    "bookshelf-cascade-delete": "^2.0.1",
    "bookshelf-returning": "^0.3.1",
    "express": "^4.16.2",
    "gulp": "^3.9.1",
    "gulp-typescript": "^3.2.3",
    "joi": "^13.3.0",
    "jsonwebtoken": "^8.2.1",
    "knex": "^0.14.6",
    "moment": "^2.22.1",
    "npm": "^5.8.0",
    "passport": "^0.4.0",
    "passport-facebook": "^2.1.1",
    "passport-google-oauth20": "^1.0.0",
    "pg": "^7.10.0"
  },
  "devDependencies": {
    "@types/bcrypt": "^1.0.0",
    "@types/bookshelf": "^0.9.7",
    "@types/chai": "^4.1.3",
    "@types/chai-http": "^3.0.3",
    "@types/express": "^4.11.0",
    "@types/joi": "^13.0.8",
    "@types/knex": "^0.14.13",
    "@types/mocha": "^2.2.46",
    "@types/passport": "^0.4.5",
    "@types/pg": "^7.4.8",
    "body-parser": "^1.18.2",
    "browser-sync": "^2.24.4",
    "chai": "^4.1.2",
    "chai-http": "^3.0.0",
    "cross-env": "^5.1.3",
    "gulp-nodemon": "^2.2.1",
    "mocha": "^4.1.0",
    "nodemon": "^1.18.11",
    "ts-node": "^4.1.0",
    "typescript": "^2.8.3"
  }
}
